## gwenview 25.08.2

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "2")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(gwenview VERSION ${RELEASE_SERVICE_VERSION})

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake )

set (QT_MIN_VERSION "6.6.0")
set (KF_MIN_VERSION "5.240.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")


find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateHeaders)
include(ECMAddAppIcon)
include(GenerateExportHeader)
include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
## Generate header with version number
ecm_setup_version(${RELEASE_SERVICE_VERSION}
                  VARIABLE_PREFIX GWENVIEW
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/lib/gwenview_version.h"
)

## CMake options
set(GWENVIEW_SEMANTICINFO_BACKEND_NONE OFF)
set(GWENVIEW_SEMANTICINFO_BACKEND_FAKE OFF)
set(GWENVIEW_SEMANTICINFO_BACKEND_BALOO OFF)

set(GWENVIEW_SEMANTICINFO_BACKEND "Baloo" CACHE STRING "Semantic info backend for Gwenview (Baloo/Fake/None)")

# Init GWENVIEW_SEMANTICINFO_BACKEND_* vars
if(GWENVIEW_SEMANTICINFO_BACKEND STREQUAL "None")
    set(GWENVIEW_SEMANTICINFO_BACKEND_NONE ON)
elseif(GWENVIEW_SEMANTICINFO_BACKEND STREQUAL "Fake")
    set(GWENVIEW_SEMANTICINFO_BACKEND_FAKE ON)
else()
    set(GWENVIEW_SEMANTICINFO_BACKEND_BALOO ON)
endif()

if (APPLE OR HAIKU OR NOT UNIX)
    set(GWENVIEW_NO_WAYLAND_GESTURES ON)
endif()

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets Concurrent Svg PrintSupport Multimedia MultimediaWidgets)
find_package(Qt6DBus ${QT_MIN_VERSION} CONFIG QUIET)
find_package(Qt6SvgWidgets)
find_package(Qt6OpenGLWidgets)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

if(NOT GWENVIEW_NO_WAYLAND_GESTURES)
    find_package(WaylandProtocols REQUIRED)
    find_package(Wayland 1.9 REQUIRED Client)
    find_package(Qt6 REQUIRED COMPONENTS WaylandClient)
endif()

set(HAVE_QTDBUS ${Qt6DBus_FOUND})

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    KIO
    ItemModels
    I18n
    Parts
    WindowSystem
    IconThemes
    Notifications
    GuiAddons
    WidgetsAddons
    Crash
)
find_package(KF6 ${KF_MIN_VERSION} OPTIONAL_COMPONENTS
    DocTools
    Purpose
)
set(HAVE_PURPOSE ${KF6Purpose_FOUND})

set(KActivitiesPackageName PlasmaActivities)
find_package(${KActivitiesPackageName})
set(HAVE_KACTIVITIES ${${KActivitiesPackageName}_FOUND})

ecm_set_disabled_deprecation_versions(QT 5.14.0 KF 5.99.0
    )

add_definitions(-DQT_NO_FOREACH)

## Dependencies
find_package(JPEG)
set_package_properties(JPEG PROPERTIES URL "http://libjpeg.sourceforge.net/" DESCRIPTION "JPEG image manipulation support" TYPE REQUIRED)

find_package(PNG)
set_package_properties(PNG PROPERTIES URL "http://www.libpng.org" DESCRIPTION "PNG image manipulation support" TYPE REQUIRED)

find_package(LibExiv2)
set_package_properties(LibExiv2 PROPERTIES URL "https://www.exiv2.org" DESCRIPTION "image metadata support" TYPE REQUIRED)

find_package(CFitsio)
set_package_properties(CFitsio PROPERTIES URL "https://heasarc.gsfc.nasa.gov/fitsio/fitsio.html" DESCRIPTION "FITS format support" TYPE OPTIONAL)
if(CFITSIO_FOUND)
    set(HAVE_FITS true)
endif()

find_package(TIFF)
set_package_properties(TIFF PROPERTIES DESCRIPTION "Library for reading TIFF files"
                       URL "http://www.libtiff.org/"
                       TYPE OPTIONAL
                       PURPOSE "Disable uninteresting log messages from libtiff by default"
                       )
if (TIFF_FOUND)
    set(HAVE_TIFF true)
endif()

find_package(LCMS2)
set_package_properties(LCMS2 PROPERTIES URL "http://www.littlecms.com" DESCRIPTION "Color management engine" TYPE REQUIRED)

if (GWENVIEW_SEMANTICINFO_BACKEND_BALOO)
    find_package(KF6Baloo 5.1.90)
    set_package_properties(KF6Baloo PROPERTIES URL "https://commits.kde.org/baloo" DESCRIPTION "Desktop-wide semantic information support" TYPE OPTIONAL)
    if (NOT KF6Baloo_FOUND)
        message (STATUS "You have selected Baloo for semantic backend, but required version was not found. Overriding the backend to None")
        unset(GWENVIEW_SEMANTICINFO_BACKEND_BALOO)
        set(GWENVIEW_SEMANTICINFO_BACKEND_NONE ON)
    endif ()
endif ()

set(KDcrawPackageName KDcrawQt6)
find_package(${KDcrawPackageName})
if (${KDcrawPackageName}_FOUND)
   add_definitions(-DKDCRAW_FOUND)
endif()
set_package_properties(${KDcrawPackageName} PROPERTIES
    URL "https://commits.kde.org/libkdcraw"
    DESCRIPTION "C++ interface around LibRaw library used to decode RAW picture files"
    TYPE OPTIONAL
)

option(WITHOUT_X11 "Build without X11 integration (disables finding X11)" OFF)
if(NOT WITHOUT_X11)
    find_package(X11)
    if(X11_FOUND)
        # we need to add qt6 lib when we found x11
        set(HAVE_X11 TRUE)
    endif()
endif()

option(GWENVIEW_IMAGEANNOTATOR "Enable kImageAnnotator library to provides tools to annotate" ON)
if(GWENVIEW_IMAGEANNOTATOR)
    find_package(kImageAnnotator-Qt6)
    set_package_properties(kImageAnnotator-Qt6 PROPERTIES URL "https://github.com/ksnip/kImageAnnotator" DESCRIPTION "The kImageAnnotator library provides tools to annotate" TYPE REQUIRED)
    if(kImageAnnotator-Qt6_FOUND)
        find_package(kColorPicker-Qt6 REQUIRED)
        set(KIMAGEANNOTATOR_FOUND 1)
    endif()
endif()

configure_file(config-gwenview.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-gwenview.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

function(JoinListAsString VALUES GLUE OUTPUT)
    string(REPLACE ";" "${GLUE}" _TMP_STR "${VALUES}")
    set(${OUTPUT} "${_TMP_STR}" PARENT_SCOPE)
endfunction()

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)

set(IMAGE_MIME_TYPES_LIST
    image/avif
    image/gif
    image/heif
    image/jpeg
    image/jxl
    image/png
    image/bmp
    image/x-eps
    image/x-icns
    image/x-ico
    image/x-portable-bitmap
    image/x-portable-graymap
    image/x-portable-pixmap
    image/x-xbitmap
    image/x-xpixmap
    image/tiff
    image/x-psd
    image/x-webp
    image/webp
    image/x-tga
    image/x-xcf
    image/openraster
    image/svg+xml
    image/svg+xml-compressed
    application/x-krita
)
if (KF6KDcraw_FOUND)
    list(APPEND IMAGE_MIME_TYPES_LIST
        image/x-kde-raw
        image/x-canon-cr2
        image/x-canon-crw
        image/x-kodak-dcr
        image/x-adobe-dng
        image/x-kodak-k25
        image/x-kodak-kdc
        image/x-minolta-mrw
        image/x-nikon-nef
        image/x-olympus-orf
        image/x-pentax-pef
        image/x-fuji-raf
        image/x-panasonic-rw
        image/x-sony-sr2
        image/x-sony-srf
        image/x-sigma-x3f
        image/x-sony-arw
        image/x-panasonic-rw2
    )
endif()
JoinListAsString("${IMAGE_MIME_TYPES_LIST}" ";" IMAGE_MIME_TYPES)

## dirs to build
add_subdirectory(lib)
add_subdirectory(app)
add_subdirectory(importer)
add_subdirectory(part)
add_subdirectory(tests)
add_subdirectory(icons)
add_subdirectory(images)
add_subdirectory(cursors)
add_subdirectory(color-schemes)
add_subdirectory(doc)
ecm_qt_install_logging_categories(EXPORT GWENVIEW FILE gwenview.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

ki18n_install(po)
if(KF6DocTools_FOUND)
    kdoctools_install(po)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

include(KDEClangFormat)
# add clang-format target
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(KDEGitCommitHooks)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== app/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/..
    )

# For lib/gwenviewconfig.h and config-gwenview.h
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}/..
    )

set(gwenview_SRCS
    abstractcontextmanageritem.cpp
    alignwithsidebarwidgetaction.cpp
    configdialog.cpp
    gvcore.cpp
    documentinfoprovider.cpp
    viewmainpage.cpp
    fileoperations.cpp
    filtercontroller.cpp
    folderviewcontextmanageritem.cpp
    fullscreencontent.cpp
    infocontextmanageritem.cpp
    imagemetainfodialog.cpp
    imageopscontextmanageritem.cpp
    fileopscontextmanageritem.cpp
    main.cpp
    mainwindow.cpp
    spotlightmode.cpp
    preloader.cpp
    renamedialog.cpp
    saveallhelper.cpp
    savebar.cpp
    sidebar.cpp
    startmainpage.cpp
    thumbnailviewhelper.cpp
    browsemainpage.cpp
    gwenview.qrc

    abstractcontextmanageritem.h
    alignwithsidebarwidgetaction.h
    configdialog.h
    gvcore.h
    documentinfoprovider.h
    viewmainpage.h
    fileoperations.h
    filtercontroller.h
    folderviewcontextmanageritem.h
    fullscreencontent.h
    infocontextmanageritem.h
    imagemetainfodialog.h
    imageopscontextmanageritem.h
    fileopscontextmanageritem.h
    mainwindow.h
    spotlightmode.h
    preloader.h
    renamedialog.h
    saveallhelper.h
    savebar.h
    sidebar.h
    startmainpage.h
    thumbnailviewhelper.h
    browsemainpage.h
    )
ecm_qt_declare_logging_category(gwenview_SRCS HEADER gwenview_app_debug.h IDENTIFIER GWENVIEW_APP_LOG CATEGORY_NAME org.kde.kdegraphics.gwenview.app DESCRIPTION "gwenview app (kdegraphics)" EXPORT GWENVIEW)
# need by GV_RETURN_VALUE_IF_FAIL
ecm_qt_declare_logging_category(gwenview_SRCS HEADER gwenview_lib_debug.h IDENTIFIER GWENVIEW_LIB_LOG CATEGORY_NAME org.kde.kdegraphics.gwenview.lib DESCRIPTION "gwenview lib (kdegraphics)" EXPORT GWENVIEW)

if (NOT GWENVIEW_SEMANTICINFO_BACKEND_NONE)
    set (gwenview_SRCS
        ${gwenview_SRCS}
        semanticinfocontextmanageritem.cpp
        semanticinfocontextmanageritem.h
        )
endif()

kde_source_files_enable_exceptions(
    main.cpp
    )

ki18n_wrap_ui(gwenview_SRCS
    advancedconfigpage.ui
    fullscreenconfigwidget.ui
    generalconfigpage.ui
    imageviewconfigpage.ui
    renamedialog.ui
    semanticinfodialog.ui
    startmainpage.ui
    browsemainpage.ui
    )

if (NOT GWENVIEW_SEMANTICINFO_BACKEND_NONE)
    ki18n_wrap_ui(gwenview_SRCS
        semanticinfosidebaritem.ui
        )
endif()

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/*-apps-gwenview.png")
ecm_add_app_icon(gwenview_SRCS ICONS ${ICONS_SRCS})

add_executable(gwenview ${gwenview_SRCS})

target_link_libraries(gwenview
    KF6::ItemModels
    KF6::WidgetsAddons
    KF6::GuiAddons
    KF6::Crash
    gwenviewlib
    )

if (HAVE_KACTIVITIES)

    if (QT_MAJOR_VERSION STREQUAL "6")
        target_link_libraries(gwenview Plasma::Activities)
    else()
        target_link_libraries(gwenview KF5::Activities)
    endif()
endif()

if (KF6Purpose_FOUND)
    target_link_libraries(gwenview KF6::PurposeWidgets)
endif()

target_link_libraries(gwenview LINK_INTERFACE_LIBRARIES KF6::KIOCore Qt::Core)

if (HAVE_TIFF)
    target_link_libraries(gwenview TIFF::TIFF)
endif()

if (APPLE)
    # own plist template
    set_target_properties (gwenview PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/MacOSXBundleInfo.plist.in)
    # the MacOSX bundle display name property (CFBundleDisplayName) is not currently supported by cmake,
    # so has to be set for all targets in this cmake file
    set(MACOSX_BUNDLE_DISPLAY_NAME Gwenview5)
    set_target_properties(gwenview PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.gwenview")
    set_target_properties(gwenview PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "Gwenview5")
    set_target_properties(gwenview PROPERTIES MACOSX_BUNDLE_DISPLAY_NAME "Gwenview5")
    set_target_properties(gwenview PROPERTIES MACOSX_BUNDLE_INFO_STRING "Gwenview, KDE Image Viewer")
    set_target_properties(gwenview PROPERTIES MACOSX_BUNDLE_LONG_VERSION_STRING "Gwenview ${RELEASE_SERVICE_VERSION}")
    set_target_properties(gwenview PROPERTIES MACOSX_BUNDLE_SHORT_VERSION_STRING "${KDE_APPLICATIONS_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}")
    set_target_properties(gwenview PROPERTIES MACOSX_BUNDLE_BUNDLE_VERSION "${RELEASE_SERVICE_VERSION}")
    set_target_properties(gwenview PROPERTIES MACOSX_BUNDLE_COPYRIGHT "2002-2016 The Gwenview Authors")
endif (APPLE)

configure_file(org.kde.gwenview.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.gwenview.desktop)

install(TARGETS gwenview
    ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.gwenview.desktop
    DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.gwenview.appdata.xml
    DESTINATION ${KDE_INSTALL_METAINFODIR})

# slideshowfileitemaction plugin

add_definitions(-DTRANSLATION_DOMAIN=\"gwenview\")

kcoreaddons_add_plugin(slideshowfileitemaction
    SOURCES slideshowfileitemaction.cpp slideshowfileitemaction.h
    INSTALL_NAMESPACE "kf6/kfileitemaction")

target_link_libraries(slideshowfileitemaction
    KF6::I18n
    KF6::KIOWidgets
    KF6::Notifications)

if(kImageAnnotator-Qt6_FOUND)
    target_link_libraries(gwenview kImageAnnotator::kImageAnnotator)
endif()

=== icons/CMakeLists.txt ===
ecm_install_icons( ICONS 128-actions-document-share.png
128-apps-gwenview.png
16-actions-document-share.png
16-apps-gwenview.png
22-actions-document-share.png
22-apps-gwenview.png
32-actions-document-share.png
32-apps-gwenview.png
48-actions-document-share.png
48-apps-gwenview.png
64-actions-document-share.png
64-apps-gwenview.png
DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor )

=== tests/auto/CMakeLists.txt ===
include(ECMAddTests)

macro(gv_add_unit_test _test)
    ecm_add_test(
        ${_test}.cpp ${ARGN}
        TEST_NAME ${_test}
        LINK_LIBRARIES Qt::Test gwenviewlib
        )
    add_dependencies(buildtests ${_test})
endmacro(gv_add_unit_test)

kde_source_files_enable_exceptions(
    documenttest.cpp
    imagemetainfomodeltest.cpp
)

include_directories(
    ${gwenview_SOURCE_DIR}
    ${importer_SOURCE_DIR}
    )

# For config-gwenview.h
include_directories(
    ${gwenview_BINARY_DIR}
    )

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

if (KF6KDcraw_FOUND)
    gv_add_unit_test(documenttest testutils.cpp)
endif()
gv_add_unit_test(transformimageoperationtest)
gv_add_unit_test(jpegcontenttest)
gv_add_unit_test(thumbnailprovidertest testutils.cpp)
if (NOT GWENVIEW_SEMANTICINFO_BACKEND_NONE)
    gv_add_unit_test(semanticinfobackendtest)
endif()
gv_add_unit_test(timeutilstest)
gv_add_unit_test(placetreemodeltest testutils.cpp)
gv_add_unit_test(urlutilstest)
gv_add_unit_test(historymodeltest)
set(import_debug_file_SRCS)
ecm_qt_declare_logging_category(import_debug_file_SRCS HEADER gwenview_importer_debug.h IDENTIFIER GWENVIEW_IMPORTER_LOG CATEGORY_NAME org.kde.kdegraphics.gwenview.importer)
gv_add_unit_test(importertest testutils.cpp
    ${importer_SOURCE_DIR}/importer.cpp
    ${importer_SOURCE_DIR}/fileutils.cpp
    ${importer_SOURCE_DIR}/filenameformater.cpp
    ${import_debug_file_SRCS}
    )
gv_add_unit_test(sorteddirmodeltest testutils.cpp)
gv_add_unit_test(slidecontainerautotest slidecontainerautotest.cpp)
gv_add_unit_test(imagemetainfomodeltest testutils.cpp)
gv_add_unit_test(cmsprofiletest testutils.cpp)
gv_add_unit_test(recursivedirmodeltest testutils.cpp)
gv_add_unit_test(contextmanagertest testutils.cpp)

=== debian/changelog ===
gwenview (4:25.08.2-0ubuntu2) resolute; urgency=medium

  * No change rebuild for libplasmaactivities7.

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 19:06:21 +0100

gwenview (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:39:32 +0100

=== debian/control ===
Source: gwenview
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libcfitsio-dev,
               libexiv2-dev,
               libjpeg-dev,
               libkcolorpicker-qt6-dev,
               libkdcrawqt6-dev (>= 25.08.2~),
               libkf6baloo-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6guiaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6itemmodels-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6notifications-dev (>= 6.0.0~),
               libkf6parts-dev (>= 6.0.0~),
               libkf6purpose-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkimageannotator-qt6-dev,
               liblcms2-dev,
               libplasmaactivities-dev,
               libpng-dev,
               libtiff-dev,
               libwayland-dev (>= 1.9~) [linux-any],
               libx11-dev,
               pkgconf,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-base-private-dev (>= 6.6.0~),
               qt6-multimedia-dev,
               qt6-svg-dev (>= 6.6.0~),
               qt6-wayland-dev (>= 6.6.0~) [linux-any],
               qt6-wayland-dev-tools (>= 6.6.0~) [linux-any],
               wayland-protocols [linux-any],
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/gwenview
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/gwenview

Package: gwenview
Section: graphics
Architecture: any
Depends: kimageformat6-plugins, ${misc:Depends}, ${shlibs:Depends},
Recommends: gwenview-doc (>= ${source:Version}),
            kamera,
            kio-extras (>= 4:24.08.0~),
            qt6-image-formats-plugins,
Description: image viewer by KDE
 Gwenview is a fast and easy to use image viewer by KDE, ideal for browsing and
 displaying a collection of images.
 .
 Features:
 .
 - Simple image editing: rotate, crop, resize, mirror, flip, reduce red eye,
 and adjust brightness, contrast, or gamma.
 .
 - Annotate and mark up images with arrows, shapes, text boxes, image stamps,
 and more.
 .
 - Basic file management actions such as copy, move, delete, and others.
 .
 - Functions both as a standalone application and an embedded viewer in the
 Konqueror web browser.
 .
 This package is part of the KDE graphics module.

Package: gwenview-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Breaks: gwenview (<< 4:24.08.1-1~),
Replaces: gwenview (<< 4:24.08.1-1~),
Description: documentation for Gwenview
 Gwenview is a fast and easy to use image viewer by KDE, ideal for browsing and
 displaying a collection of images.
 .
 Features:
 .
 - Simple image editing: rotate, crop, resize, mirror, flip, reduce red eye,
 and adjust brightness, contrast, or gamma.
 .
 - Annotate and mark up images with arrows, shapes, text boxes, image stamps,
 and more.
 .
 - Basic file management actions such as copy, move, delete, and others.
 .
 - Functions both as a standalone application and an embedded viewer in the
 Konqueror web browser.
 .
 This package is part of the KDE graphics module.
 .
 This package contains the documentation for Gwenview.

## gwenview 25.08.2+p24.04+vstable+git20251016.2213

=== debian/changelog ===
gwenview (4:25.08.2+p24.04+vstable+git20251016.2213-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 22:13:35 +0000

gwenview (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 04:10:15 +0000

gwenview (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:28:10 +0000

gwenview (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:03:12 +0000

gwenview (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:40:37 +0000

gwenview (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:55:23 +0000

gwenview (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:45:58 +0000

gwenview (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:33:15 +0000

gwenview (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:02:21 +0000

gwenview (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:02:00 +0000

gwenview (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:52:47 +0000

gwenview (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:49:24 +0000

gwenview (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:50:14 +0000

gwenview (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:26:43 +0000

gwenview (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:02:28 +0000

gwenview (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:11:46 +0000

## gwenview 25.08.2+p24.04+vstable+git20251019.0602

=== debian/changelog ===
gwenview (4:25.08.2+p24.04+vstable+git20251019.0602-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:03:00 +0000

=== debian/control ===
Source: gwenview
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-baloo-dev,
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kdoctools-dev,
               kf6-kfilemetadata-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kitemmodels-dev,
               kf6-knotifications-dev,
               kf6-kparts-dev,
               kf6-kwindowsystem-dev,
               kf6-purpose-dev,
               libcfitsio-dev,
               libexiv2-dev,
               libjpeg-dev,
               libkdcraw-dev,
               libkimageannotator-qt6-dev,
               liblcms2-dev,
               libpng-dev,
               libtiff-dev,
               libwayland-dev,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-activities-dev,
               qt6-base-dev,
               qt6-multimedia-dev,
               qt6-phonon-dev,
               qt6-svg-dev,
               qt6-wayland-dev,
               wayland-protocols
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/gwenview.git
Vcs-Browser: https://invent.kde.org/neon/kde/gwenview
Maintainer: Neon CI <neon@kde.org>

Package: gwenview
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kamera, kio-extras, qt6-image-formats-plugins
Description: image viewer
 Gwenview is an image viewer, ideal for browsing and displaying a collection of
 images.  It is capable of showing images in a full-screen slideshow view and
 making simple adjustments, such as rotating or cropping images.
 .
 This package is part of the KDE graphics module.

## gwenview 25.08.2+p24.04+vstable+git20251021.0335

=== debian/changelog ===
gwenview (4:25.08.2+p24.04+vstable+git20251021.0335-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:35:38 +0000

## gwenview 25.08.2+p24.04+vstable+git20251031.0959

=== debian/changelog ===
gwenview (4:25.08.2+p24.04+vstable+git20251031.0959-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:59:57 +0000

## gwenview 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(gwenview VERSION ${RELEASE_SERVICE_VERSION})

=== lib/CMakeLists.txt ===
project(gwenviewlib)

add_definitions(-DTRANSLATION_DOMAIN="gwenview")

set(LIBGWENVIEW_VERSION "4.97.0")

if (${JPEG_VERSION} LESS 80)
    set(GV_JPEG_DIR libjpeg-62)
endif()

if (${JPEG_VERSION} EQUAL 80)
    set(GV_JPEG_DIR libjpeg-80)
endif()

if (${JPEG_VERSION} EQUAL 90)
    set(GV_JPEG_DIR libjpeg-90)
endif()

if ("${GV_JPEG_DIR}" STREQUAL "")
    message(FATAL_ERROR "Unknown libjpeg version: ${jpeglib_version}")
endif()

message(STATUS "libjpeg version: ${JPEG_VERSION}")

add_definitions(-Dlibjpeg_EXPORTS)
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/${GV_JPEG_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/..
    ${CMAKE_CURRENT_BINARY_DIR}
    )

if(HAVE_FITS)
    include_directories(
        ${CFITSIO_INCLUDE_DIR}
        )
endif()

# For config-gwenview.h
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}/..
    )

set(gwenviewlib_SRCS
    bcg/bcgimageoperation.cpp
    bcg/bcgtool.cpp
    bcg/bcgwidget.cpp
    bcg/imageutils.cpp
    cms/iccjpeg.c
    cms/cmsprofile.cpp
    cms/cmsprofile_png.cpp
    contextmanager.cpp
    crop/cropwidget.cpp
    crop/cropimageoperation.cpp
    crop/croptool.cpp
    document/abstractdocumentimpl.cpp
    document/documentjob.cpp
    document/animateddocumentloadedimpl.cpp
    document/document.cpp
    document/documentfactory.cpp
    document/documentloadedimpl.cpp
    document/emptydocumentimpl.cpp
    document/jpegdocumentloadedimpl.cpp
    document/loadingdocumentimpl.cpp
    document/loadingjob.cpp
    document/savejob.cpp
    document/svgdocumentloadedimpl.cpp
    document/videodocumentloadedimpl.cpp
    documentview/abstractdocumentviewadapter.cpp
    documentview/abstractimageview.cpp
    documentview/abstractrasterimageviewtool.cpp
    documentview/alphabackgrounditem.cpp
    documentview/birdeyeview.cpp
    documentview/documentview.cpp
    documentview/documentviewcontroller.cpp
    documentview/documentviewsynchronizer.cpp
    documentview/loadingindicator.cpp
    documentview/messageviewadapter.cpp
    documentview/rasterimageview.cpp
    documentview/rasterimageviewadapter.cpp
    documentview/rasterimageitem.cpp
    documentview/svgviewadapter.cpp
    documentview/videoviewadapter.cpp
    about.cpp
    abstractimageoperation.cpp
    disabledactionshortcutmonitor.cpp
    documentonlyproxymodel.cpp
    documentview/documentviewcontainer.cpp
    binder.cpp
    eventwatcher.cpp
    historymodel.cpp
    recentfilesmodel.cpp
    archiveutils.cpp
    datewidget.cpp
    decoratedtag/decoratedtag.cpp
    exiv2imageloader.cpp
    flowlayout.cpp
    fullscreenbar.cpp
    hud/hudbutton.cpp
    hud/hudbuttonbox.cpp
    hud/hudcountdown.cpp
    hud/hudlabel.cpp
    hud/hudmessagebubble.cpp
    hud/hudslider.cpp
    hud/hudtheme.cpp
    hud/hudwidget.cpp
    graphicswidgetfloater.cpp
    imagemetainfomodel.cpp
    imageutils.cpp
    invisiblebuttongroup.cpp
    iodevicejpegsourcemanager.cpp
    jpegcontent.cpp
    kindproxymodel.cpp
    semanticinfo/sorteddirmodel.cpp
    memoryutils.cpp
    mimetypeutils.cpp
    paintutils.cpp
    placetreemodel.cpp
    preferredimagemetainfomodel.cpp
    print/printhelper.cpp
    print/printoptionspage.cpp
    recursivedirmodel.cpp
    shadowfilter.cpp
    slidecontainer.cpp
    slideshow.cpp
    statusbartoolbutton.cpp
    stylesheetutils.cpp
    redeyereduction/redeyereductionimageoperation.cpp
    redeyereduction/redeyereductiontool.cpp
    resize/resizeimageoperation.cpp
    resize/resizeimagedialog.cpp
    thumbnailprovider/thumbnailgenerator.cpp
    thumbnailprovider/thumbnailprovider.cpp
    thumbnailprovider/thumbnailwriter.cpp
    thumbnailview/abstractthumbnailviewhelper.cpp
    thumbnailview/abstractdocumentinfoprovider.cpp
    thumbnailview/dragpixmapgenerator.cpp
    thumbnailview/itemeditor.cpp
    thumbnailview/previewitemdelegate.cpp
    thumbnailview/thumbnailbarview.cpp
    thumbnailview/thumbnailslider.cpp
    thumbnailview/thumbnailview.cpp
    thumbnailview/tooltipwidget.cpp
    timeutils.cpp
    transformimageoperation.cpp
    urlutils.cpp
    widgetfloater.cpp
    zoomcombobox/zoomcombobox.cpp
    zoomslider.cpp
    zoomwidget.cpp
    scrollerutils.cpp
    touch/touch.cpp
    touch/tapholdandmoving.cpp
    touch/twofingerpan.cpp
    touch/oneandtwofingerswipe.cpp
    touch/doubletap.cpp
    touch/twofingertap.cpp
    touch/touch_helper.cpp
    ${GV_JPEG_DIR}/transupp.c
    )
if (kImageAnnotator-Qt6_FOUND)
    set(gwenviewlib_SRCS ${gwenviewlib_SRCS}
        annotate/annotatedialog.cpp
        annotate/annotateoperation.cpp
        annotate/annotatedialog.h
        annotate/annotateoperation.h
    )
endif()

if (NOT GWENVIEW_NO_WAYLAND_GESTURES)
    set(gwenviewlib_SRCS ${gwenviewlib_SRCS}
        waylandgestures/waylandgestures.cpp
        waylandgestures/waylandgestures.h
    )
endif()

set_source_files_properties(${GV_JPEG_DIR}/transupp.c PROPERTIES SKIP_UNITY_BUILD_INCLUSION ON)


ecm_qt_declare_logging_category(gwenviewlib_SRCS HEADER gwenview_lib_debug.h IDENTIFIER GWENVIEW_LIB_LOG CATEGORY_NAME org.kde.kdegraphics.gwenview.lib)
ecm_qt_declare_logging_category(gwenviewlib_SRCS HEADER gwenview_exiv2_debug.h IDENTIFIER GWENVIEW_EXIV2_LOG CATEGORY_NAME org.kde.kdegraphics.gwenview.exiv2 DEFAULT_SEVERITY Critical DESCRIPTION "gwenview lib exiv2 (kdegraphics)" EXPORT GWENVIEW)

if(HAVE_QTDBUS)
    set(gwenviewlib_SRCS
        ${gwenviewlib_SRCS}
        mpris2/lockscreenwatcher.cpp
        mpris2/dbusabstractadaptor.cpp
        mpris2/mpris2service.cpp
        mpris2/mprismediaplayer2.cpp
        mpris2/mprismediaplayer2player.cpp
        mpris2/lockscreenwatcher.h
        mpris2/dbusabstractadaptor.h
        mpris2/mpris2service.h
        mpris2/mprismediaplayer2.h
        mpris2/mprismediaplayer2player.h
        )
    qt_add_dbus_interface(gwenviewlib_SRCS mpris2/org.freedesktop.ScreenSaver.xml screensaverdbusinterface)
endif()

if(HAVE_FITS)
    set(gwenviewlib_SRCS
        ${gwenviewlib_SRCS}
        imageformats/fitsplugin.cpp
        imageformats/fitshandler.cpp
        imageformats/fitsformat/bayer.c
        imageformats/fitsformat/fitsdata.cpp
        imageformats/fitsplugin.h
        imageformats/fitshandler.h
        imageformats/fitsformat/bayer.h
        imageformats/fitsformat/fitsdata.h
        )
endif()

if (NOT GWENVIEW_SEMANTICINFO_BACKEND_NONE)
    set(gwenviewlib_SRCS
        ${gwenviewlib_SRCS}
        semanticinfo/abstractsemanticinfobackend.cpp
        semanticinfo/semanticinfodirmodel.cpp
        semanticinfo/tagitemdelegate.cpp
        semanticinfo/tagmodel.cpp
        semanticinfo/tagwidget.cpp
        semanticinfo/abstractsemanticinfobackend.h
        semanticinfo/semanticinfodirmodel.h
        semanticinfo/tagitemdelegate.h
        semanticinfo/tagmodel.h
        semanticinfo/tagwidget.h
        )
endif()

if (GWENVIEW_SEMANTICINFO_BACKEND_FAKE)
    set(gwenviewlib_SRCS
        ${gwenviewlib_SRCS}
        semanticinfo/fakesemanticinfobackend.cpp
        semanticinfo/fakesemanticinfobackend.h
        )
endif()

if (GWENVIEW_SEMANTICINFO_BACKEND_BALOO)
    set(gwenviewlib_SRCS
        ${gwenviewlib_SRCS}
        semanticinfo/baloosemanticinfobackend.cpp
        semanticinfo/baloosemanticinfobackend.h
        )
endif()

kde_source_files_enable_exceptions(
    exiv2imageloader.cpp
    imagemetainfomodel.cpp
    timeutils.cpp
    cms/cmsprofile.cpp
    document/abstractdocumentimpl.cpp
    document/document.cpp
    document/loadingdocumentimpl.cpp
    jpegcontent.cpp
    exiv2imageloader.h
    imagemetainfomodel.h
    timeutils.h
    cms/cmsprofile.h
    document/abstractdocumentimpl.h
    document/document.h
    document/loadingdocumentimpl.h
    jpegcontent.h
    )

ki18n_wrap_ui(gwenviewlib_SRCS
    documentview/messageview.ui
    print/printoptionspage.ui
    redeyereduction/redeyereductionwidget.ui
    resize/resizeimagewidget.ui
    )

kconfig_add_kcfg_files(gwenviewlib_SRCS
    gwenviewconfig.kcfgc
    )

add_library(gwenviewlib SHARED ${gwenviewlib_SRCS})
generate_export_header(gwenviewlib BASE_NAME gwenviewlib)
set_target_properties(gwenviewlib PROPERTIES VERSION ${LIBGWENVIEW_VERSION} SOVERSION 5)
if (WIN32)
    set_target_properties(gwenviewlib PROPERTIES COMPILE_FLAGS -DJPEG_STATIC)
endif()

target_link_libraries(gwenviewlib
   Qt::Concurrent
   Qt::Svg
   Qt::PrintSupport
   Qt::Multimedia
   Qt::MultimediaWidgets
   KF6::GuiAddons
   KF6::ConfigGui
   KF6::KIOCore
   KF6::KIOWidgets
   KF6::KIOFileWidgets
   KF6::I18n
   KF6::WindowSystem
   KF6::IconThemes
   KF6::XmlGui
   LibExiv2::LibExiv2
   JPEG::JPEG
   PNG::PNG
    ${LCMS2_LIBRARIES}
    )
if (QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(gwenviewlib Qt6::OpenGLWidgets KF6::IconWidgets)
endif()


if(HAVE_QTDBUS)
    target_link_libraries(gwenviewlib Qt::DBus)
endif()
if(HAVE_FITS)
    target_link_libraries(gwenviewlib ${CFITSIO_LIBRARIES})
endif()

if (WIN32)
    target_link_libraries(gwenviewlib ${EXPAT_LIBRARIES})
endif()

if (KF5KDcraw_FOUND)
    target_link_libraries(gwenviewlib KF5::KDcraw)
elseif(KDcrawQt6_FOUND)
    target_link_libraries(gwenviewlib KDcrawQt6)
endif()

if (HAVE_X11)
    target_link_libraries(gwenviewlib X11::X11)
    if (QT_MAJOR_VERSION STREQUAL "5")
        target_link_libraries(gwenviewlib Qt5::X11Extras)
    else()
        target_link_libraries(gwenviewlib Qt6::GuiPrivate) # Gui/private/qtx11extras_p.h
    endif()
endif()

if (QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(gwenviewlib Qt6::SvgWidgets)
endif()

if (GWENVIEW_SEMANTICINFO_BACKEND_BALOO)
    target_link_libraries(gwenviewlib
        KF6::Baloo
        KF6::FileMetaData
        )
endif()

if(kImageAnnotator-Qt6_FOUND)
    target_link_libraries(gwenviewlib kImageAnnotator::kImageAnnotator)
endif()

if (NOT GWENVIEW_NO_WAYLAND_GESTURES)
    if (QT_MAJOR_VERSION EQUAL "5")
        ecm_add_qtwayland_client_protocol(wayland_SRCS
            PROTOCOL ${WaylandProtocols_DATADIR}/unstable/pointer-gestures/pointer-gestures-unstable-v1.xml
            BASENAME pointer-gestures-unstable-v1
        )
    else()
        if (QT_MINOR_VERSION GREATER_EQUAL 8)
            set(private_code_option  "PRIVATE_CODE")
        endif()
        qt6_generate_wayland_protocol_client_sources(gwenviewlib FILES
            ${WaylandProtocols_DATADIR}/unstable/pointer-gestures/pointer-gestures-unstable-v1.xml
            ${private_code_option}
        )
    endif()

    target_sources(gwenviewlib PRIVATE ${wayland_SRCS})
    target_link_libraries(gwenviewlib Wayland::Client Qt::WaylandClient Qt::GuiPrivate)
    target_sources(gwenviewlib PRIVATE waylandgestures/waylandgestures.cpp waylandgestures/waylandgestures.h)
endif()

install(TARGETS gwenviewlib ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

=== debian/changelog ===
gwenview (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:20:54 +0000

=== debian/control ===
Source: gwenview
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libcfitsio-dev,
               libexiv2-dev,
               libjpeg-dev,
               libkcolorpicker-qt6-dev,
               libkdcrawqt6-dev (>= 25.08.3~),
               libkf6baloo-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6guiaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6itemmodels-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6notifications-dev (>= 6.0.0~),
               libkf6parts-dev (>= 6.0.0~),
               libkf6purpose-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkimageannotator-qt6-dev,
               liblcms2-dev,
               libplasmaactivities-dev,
               libpng-dev,
               libtiff-dev,
               libwayland-dev (>= 1.9~) [linux-any],
               libx11-dev,
               pkgconf,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-base-private-dev (>= 6.6.0~),
               qt6-multimedia-dev,
               qt6-svg-dev (>= 6.6.0~),
               qt6-wayland-dev (>= 6.6.0~) [linux-any],
               qt6-wayland-dev-tools (>= 6.6.0~) [linux-any],
               wayland-protocols [linux-any],
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/gwenview
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/gwenview

Package: gwenview
Section: graphics
Architecture: any
Depends: kimageformat6-plugins, ${misc:Depends}, ${shlibs:Depends},
Recommends: gwenview-doc (>= ${source:Version}),
            kamera,
            kio-extras (>= 4:24.08.0~),
            qt6-image-formats-plugins,
Description: image viewer by KDE
 Gwenview is a fast and easy to use image viewer by KDE, ideal for browsing and
 displaying a collection of images.
 .
 Features:
 .
 - Simple image editing: rotate, crop, resize, mirror, flip, reduce red eye,
 and adjust brightness, contrast, or gamma.
 .
 - Annotate and mark up images with arrows, shapes, text boxes, image stamps,
 and more.
 .
 - Basic file management actions such as copy, move, delete, and others.
 .
 - Functions both as a standalone application and an embedded viewer in the
 Konqueror web browser.
 .
 This package is part of the KDE graphics module.

Package: gwenview-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Breaks: gwenview (<< 4:24.08.1-1~),
Replaces: gwenview (<< 4:24.08.1-1~),
Description: documentation for Gwenview
 Gwenview is a fast and easy to use image viewer by KDE, ideal for browsing and
 displaying a collection of images.
 .
 Features:
 .
 - Simple image editing: rotate, crop, resize, mirror, flip, reduce red eye,
 and adjust brightness, contrast, or gamma.
 .
 - Annotate and mark up images with arrows, shapes, text boxes, image stamps,
 and more.
 .
 - Basic file management actions such as copy, move, delete, and others.
 .
 - Functions both as a standalone application and an embedded viewer in the
 Konqueror web browser.
 .
 This package is part of the KDE graphics module.
 .
 This package contains the documentation for Gwenview.

## gwenview 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "80")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(gwenview VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
gwenview (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:53:19 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libexiv2-dev,
                libjpeg-dev,
                libkcolorpicker-qt6-dev,
-               libkdcrawqt6-dev (>= 25.08.3~),
+               libkdcrawqt6-dev (>= 25.11.80~),
                libkf6baloo-dev (>= 6.3.0~),
                libkf6doctools-dev (>= 6.0.0~),
                libkf6guiaddons-dev (>= 6.0.0~),

## gwenview 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(gwenview VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
gwenview (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:59:22 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libexiv2-dev,
                libjpeg-dev,
                libkcolorpicker-qt6-dev,
-               libkdcrawqt6-dev (>= 25.11.80~),
+               libkdcrawqt6-dev (>= 25.11.90~),
                libkf6baloo-dev (>= 6.3.0~),
                libkf6doctools-dev (>= 6.0.0~),
                libkf6guiaddons-dev (>= 6.0.0~),

## gwenview 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(gwenview VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
gwenview (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:14:30 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libexiv2-dev,
                libjpeg-dev,
                libkcolorpicker-qt6-dev,
-               libkdcrawqt6-dev (>= 25.11.90~),
+               libkdcrawqt6-dev (>= 25.12.0~),
                libkf6baloo-dev (>= 6.3.0~),
                libkf6doctools-dev (>= 6.0.0~),
                libkf6guiaddons-dev (>= 6.0.0~),

## gwenview 25.12.0+p24.04+vstable+git20251213.0540

=== debian/changelog ===
gwenview (4:25.12.0+p24.04+vstable+git20251213.0540-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 13 Dec 2025 05:40:47 +0000

gwenview (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:37:05 +1000

gwenview (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:40:53 +1000

## gwenview 25.12.0+p24.04+vstable+git20251231.0420

=== debian/changelog ===
gwenview (4:25.12.0+p24.04+vstable+git20251231.0420-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 04:20:16 +0000

## gwenview 25.12.0+p24.04+vstable+git20260105.0930

=== debian/changelog ===
gwenview (4:25.12.0+p24.04+vstable+git20260105.0930-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 09:30:38 +0000

## gwenview 25.12.0+p24.04+vunstable+git20251211.0334

=== debian/changelog ===
gwenview (4:25.12.0+p24.04+vunstable+git20251211.0334-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Dec 2025 03:35:03 +0000

## gwenview 25.12.0+p24.04+vunstable+git20251215.0610

=== debian/changelog ===
gwenview (4:25.12.0+p24.04+vunstable+git20251215.0610-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 15 Dec 2025 06:10:38 +0000
